Subject: bug#61271: 30.0.50; gud makes source files un-editable

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Feb 2023 14:48:39 +0200

> From: Dima Kogan <[email-masked]>
> Cc: Dima Kogan <[email-masked]>, [email-masked]
> Date: Tue, 14 Feb 2023 15:38:28 -0800
> 
> Thanks for the pointer. I just tried out M-x gdb instead of M-x gud-gdb
> as you suggested here. It appears to have the same issue though: RET in
> the buffer being debugged reports the same error. And it still looks
> like it's using gud internally. f1-m says:
> 
>   The major mode is Debugger mode defined in gud.el:

I didn't say switching to "M-x gdb" will solve this particular
problem.  See the rest of my original response: this is a known issue
on master.  Until we find a way to fix that, I suggest to either stay
with emacs-29 or make your local changes on master like we did on
emacs-29 with commits 3623d5c195 and 641ef36403.